#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.1
visibility:           public
id:                   taffybar-4.0.1-1VcOuh8xxwDFdNioC9vHtw
key:                  taffybar-4.0.1-1VcOuh8xxwDFdNioC9vHtw
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  45f33b9c2a7b922d8a49419f140029f1
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.1-1VcOuh8xxwDFdNioC9vHtw
extra-libraries:
    gtk-3 gdk-3 z harfbuzz pangocairo-1.0 pango-1.0 atk-1.0 cairo
    cairo-gobject gdk_pixbuf-2.0 gio-2.0 glib-2.0 gobject-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0 /usr/include/cairo
    /usr/include/gdk-pixbuf-2.0 /usr/include/freetype2
    /usr/include/harfbuzz /usr/include/dbus-1.0
    /usr/lib/dbus-1.0/include /usr/include/glib-2.0
    /usr/lib/glib-2.0/include /usr/include/atk-1.0 /usr/include/blkid
    /usr/include/libmount /usr/include/sysprof-6
    /usr/include/cloudproviders /usr/include/libpng16
    /usr/include/pixman-1 /usr/include/gio-unix-2.0
    /usr/include/fribidi /usr/include/at-spi2-atk/2.0
    /usr/include/at-spi-2.0

depends:
    ConfigFile-1.1.4-3Qx1HKndUuyJDPR1EZ2V7m
    HStringTemplate-0.8.8-12iXMcbEOxzJ5wfFe6wta8
    X11-1.10.3-7zBAfsIL85sJKAyVO3fFRL
    aeson-2.1.2.1-5LFbz27UeRc2IE39j8tZaA
    ansi-terminal-0.11.4-Dutlyt45T6tOYdV5l6KuI base-4.15.1.0
    broadcast-chan-0.2.1.2-4f1Mq5xfdHPClQCeqG8Qnr bytestring-0.10.12.1
    conduit-1.3.5-KE0IxstkAEWI2GLHnbx6kM containers-0.6.4.1
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv
    dbus-1.2.22-1CMsa4Xet6lKstIfTFbE1U
    dbus-hslogger-0.1.0.1-62XfU1PhJkA1blN78JYBh0 directory-1.3.6.2
    dyre-0.9.2-EyIDJ6YBEgJJNRqTesC8bs
    either-5.0.2-9MLNxWnQlbz11X5EqzYork
    enclosed-exceptions-1.0.3-KD9YjzpEAqq2ESNVUIc5Zu filepath-1.4.2.1
    gi-cairo-1.0.29-4afsDNzHarz3xQQbhQCMLK
    gi-cairo-connector-0.1.1-75SvaHtcWDDAy1ngBxlacM
    gi-cairo-render-0.1.2-5GlWV3m4g7U9taOrrBNwi5
    gi-gdk-3.0.25-30CsSPBxSOK3DZG5QL6OSW
    gi-gdkpixbuf-2.0.31-KekBelkDgei33nVvn02AKz
    gi-gdkx11-3.0.12-9BlzjQ1YwsOJxE8d0q6DSd
    gi-glib-2.0.29-FWXgRPPsjIoIMcb857YCIB
    gi-gtk-3.0.38-JfjZsGpYiE2IzIMKBHXr3p
    gi-gtk-hs-0.3.13-Ht2RuSDLWDq8CkfobLyVxO
    gi-pango-1.0.29-2kKffcIXDoz6gpzkXbWZrH
    gtk-sni-tray-0.1.8.1-A9hTR5hvXZdFjwjrUHzNdY
    gtk-strut-0.1.3.2-FH1iZm45UFZ4Ln6wqOcBNR
    haskell-gi-0.26.4-6lDvXkfn5ky1dADcqRaJs9
    haskell-gi-base-0.26.3-F9RrvzwFZ6b9FvkaVvE8dw
    hslogger-1.3.1.0-CrvBSOH5FhxEg63UdGgFXg
    http-client-0.7.14-6pjNg7JAqwu6kWLldQEXsf
    http-client-tls-0.3.6.3-7sLehhGnySb9OAynTPD06f
    http-conduit-2.3.8.3-8LIce38DDsgCb2ohlaWKII
    http-types-0.12.3-KnxntuJyLp840IwYW1JdT6
    multimap-1.2.1-9JxmWLNMcxQ1AJJqmV9wuZ
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh parsec-3.1.14.0
    process-1.6.13.2 rate-limit-1.4.3-85YmVCfT47Z7hrGUe8KO44
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    scotty-0.20.1-DEtJuP5s8nN2h7RL05x4YP
    split-0.2.4-KJJG4gcgxx1CO3VlusxzdW
    status-notifier-item-0.3.1.0-DRmKgy7zUKl4DjT7TRNdc7 stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    time-units-1.0.0-D1nYXpAWCQ2FSIdA8ibzEx transformers-0.5.6.2
    transformers-base-0.4.6-3y3JsQUyG3cDSsfuYOtwey
    tuple-0.3.0.2-C1ZDP15asUVL2epcSKgpvx unix-2.7.2.2
    utf8-string-1.0.2-9jFXZk0EqfsBxvU8fTDgk3
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT
    xdg-desktop-entry-0.1.1.1-6lb2wqlotRsC7BePfa3kXy
    xml-1.3.14-6hlhhPBptprHwK7nsE7OzM
    xml-helpers-1.0.0-73lIPKak9z4HTtsjqaltEq
    xmonad-0.17.1-Fbc5cNbV8XfEfHg4MiRUk8

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

